#!/usr/bin/env dash

sleep 1

ivpn connect -ipv6tunnel -p wg -fastest -filter_invert dk \
    && notify-send -u low "IVPN" "Successfully connected to IVPN server:\n$(ivpn status | sed -n 2p | xargs)" \
    || notify-send -u critical "IVPN" "Failed to connect to IVPN\!"

sway-launcher-desktop autostart
